Package: org.apache.groovy.json.internal

## [Java] Class Exceptions.JsonInternalException

- org.apache.groovy.json.internal.Exceptions.JsonInternalException

-     public static class Exceptions.JsonInternalException
      extends JsonException

  Runtime exception used inside the JSON internals to simplify propagation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonInternalException(String message)` Creates an exception with the supplied message.
    `JsonInternalException(String message, Throwable cause)` Creates an exception with the supplied message and cause.
    `JsonInternalException(Throwable cause)` Creates an exception that wraps another throwable.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Throwable` | `getCause()` Returns the wrapped cause.
    `` | `public String` | `getLocalizedMessage()` Returns the localized message.
    `` | `public String` | `getMessage()` Returns the message, including the wrapped cause summary when present.
    `` | `public StackTraceElement[]` | `getStackTrace()` Returns the wrapped stack trace when a cause is present.
    `` | `public void` | `printStackTrace(PrintStream s)` Prints the wrapped stack trace to the supplied stream.
    `` | `public void` | `printStackTrace(PrintWriter s)` Prints the wrapped stack trace to the supplied writer.
    `` | `public void` | `printStackTrace()` Logs the wrapped stack trace.

- - ### Constructor Detail

    - #### public JsonInternalException(String message)

      Creates an exception with the supplied message.

      Parameters:
        `message` - the exception message

    - #### public JsonInternalException(String message, Throwable cause)

      Creates an exception with the supplied message and cause.

      Parameters:
        `message` - the exception message
        `cause` - the wrapped cause

    - #### public JsonInternalException(Throwable cause)

      Creates an exception that wraps another throwable.

      Parameters:
        `cause` - the wrapped cause

  - ### Method Detail

    - #### public Throwable getCause()

      Returns the wrapped cause.

      Returns:
        the wrapped cause, or `null`

    - #### public String getLocalizedMessage()

      Returns the localized message.

      Returns:
        the localized message

    - #### public String getMessage()

      Returns the message, including the wrapped cause summary when present.

      Returns:
        the formatted exception message

    - #### public StackTraceElement[] getStackTrace()

      Returns the wrapped stack trace when a cause is present.

      Returns:
        the effective stack trace

    - #### public void printStackTrace(PrintStream s)

      Prints the wrapped stack trace to the supplied stream.

      Parameters:
        `s` - the target stream

    - #### public void printStackTrace(PrintWriter s)

      Prints the wrapped stack trace to the supplied writer.

      Parameters:
        `s` - the target writer

    - #### public void printStackTrace()

      Logs the wrapped stack trace.